/**********************************************************************
 *
 * cfgread.h -- reads in configuration files
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: cfgread.h 100 1999-01-08 02:33:16Z rjmcnab $
 *
 *********************************************************************/


#ifndef CFGREAD_H
#define CFGREAD_H

#include "text_t.h"

#ifdef __GNUG__
#  include <fstream.h>
#else
#  ifndef USE_OBJECTSPACE
#    include <fstream>
#  else
#    include <ospace\std\fstream>
#  endif
#endif


// returns 0 on success, -1 on failure
int read_cfg_line (ifstream &filein, text_tarray &values);

#endif
